Bug 23166 - plugger is silent on .au files
Summary: plugger is silent on .au files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: plugger   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-02 17:53 UTC by Michal Jaegermann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-15 12:25:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2001-01-02 17:53:19 UTC
An accidental look into /etc/pluggerrc brought an explanation why
plugger is sometimes numb.  One can see in this file the following:

audio/basic: au,snd: Basic audio file
audio/x-basic: au,snd: Basic audio file
        loop: xanim -Zr +W$window +q +f $file
        many: xanim -Zr +W$window +q +f +Ze $file
 
and 'xanim' does not seem to be very musical even if installed. :-)
Replacing this stanza with

audio/basic: au,snd: Basic audio file
audio/x-basic: au,snd: Basic audio file
        exits : play $file

appears to do the trick.  BTW - I cannot find a format of pluggerrc
anywhere (without studying sources) but this "exits : play $file" seem
to be a good idea on the next entry for 'wav' files as well.  With it
a file is played once instead of continuously in a loop.

The same 'plugger' version is in RH 7 and it is affected in the same
manner.

   Michal
   michal@harddata.com

Comment 1 Ngo Than 2001-02-05 15:52:26 UTC
Thanks. I have fixed this problem.  You will find a new plugger-3.2-9 in next
rawhide release.


Note You need to log in before you can comment on or make changes to this bug.